diff -urpN --exclude-from=/home/davej/.exclude bk-linus/fs/ext2/super.c linux-2.5/fs/ext2/super.c
--- bk-linus/fs/ext2/super.c	2002-11-21 02:19:58.000000000 +0000
+++ linux-2.5/fs/ext2/super.c	2002-11-21 18:02:06.000000000 +0000
@@ -917,8 +917,9 @@ static int ext2_remount (struct super_bl
 		 * by e2fsck since we originally mounted the partition.)
 		 */
 		sbi->s_mount_state = le16_to_cpu(es->s_state);
-		if (!ext2_setup_super (sb, es, 0))
-			sb->s_flags &= ~MS_RDONLY;
+		if ((ret = ext2_setup_super (sb, es, 0)))
+			return ret;
+		sb->s_flags &= ~MS_RDONLY;
 	}
 	ext2_sync_super(sb, es);
 	return 0;
